de.esprit.netsuite.client.abo

## Class ABORecordTableModel<C extends ClientContext,T extends DBRecord>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.esprit.common.gui.table.AbstractObjectTableModel<T>
    - - de.esprit.appsuite.database.dbgui.table.DBRecordTableModel<C,T>
      - - de.esprit.netsuite.client.abo.ABORecordTableModel<C,T>

- All Implemented Interfaces:
    ApplicationObject<C>, DataLoadEvent.Source, OrderChangeEvent.Source, Clearable, ClientObject<C>, java.io.Serializable, javax.swing.table.TableModel

      public class ABORecordTableModel<C extends ClientContext,T extends DBRecord>
      extends DBRecordTableModel<C,T>
      implements ClientObject<C>

  This TableModel keeps ABOs. Note that an inner Listener is attached to each ABO, such that the data and view refresh automatically on each ABO change.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABORecordTableModel(C clientCtx, T masterRec)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractPersistentABO` | `getABOAt(int row)`
    `C` | `getClientContext()` Returns the the client runtime environment

    - ### Methods inherited from class de.esprit.appsuite.database.dbgui.table.DBRecordTableModel

      `addRecord, addRecord, addRecords, clear, getActionLoadAsync, getApplicationContext, getMasterRecord, getParentRecord, getRecord, getRecord, indexOf, indexOf, isFieldVisible, load, load, load, removeRecord, replaceRecord, search, setParentRecord, setRecord`

    - ### Methods inherited from class de.esprit.common.gui.table.AbstractObjectTableModel

      `addColumn, addColumn, addColumn, addColumn, addDataLoadListener, addObject, addObject, addObjects, addObjects, addOrderChangeListener, addRowData, addRowData, clearRowData, containsObject, dropRow, dropRow, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, getAllObjects, getColumnCount, getColumnName, getComparator, getObject, getRowCount, getValueAt, getValueAt, indexOf, isEmpty, isNumb, isSortAscending, removeColumn, removeDataLoadListener, removeObject, removeObject, removeOrderChangeListener, removeRowData, replaceObject, setComparator, setNumb, setObject, setSortAscending, setValueAt`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ABORecordTableModel

          public ABORecordTableModel(C clientCtx,
                             T masterRec)

  - ### Method Detail

    - #### getABOAt

          public AbstractPersistentABO getABOAt(int row)

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.